#[warn(clippy::all, clippy::pedantic)]
mod decode;
mod encode;
mod error;
pub use {decode::Decoder, encode::Encoder, error::Error};

pub static B16_ALPHABET: [u8; 16] = [
    b'0', b'1', b'2', b'3', b'4', b'5', b'6', b'7', b'8', b'9', b'A', b'B', b'C', b'D', b'E', b'F',
];

pub(crate) fn get_idx(c: u8) -> Option<usize> {
    for (idx, x) in B16_ALPHABET.iter().enumerate() {
        if *x == c {
            return Some(idx);
        }
    }
    None
}
